# CGEM Functions
[CGEM]

## Functions
CSL_IDEF_INLINE void | CSL_CGEM_getECFGPriorityLevel (Uint8 *priorityLevel)
CSL_IDEF_INLINE void | CSL_CGEM_setECFGPriorityLevel (Uint8 priorityLevel)
CSL_IDEF_INLINE void | CSL_CGEM_getEMCFaultAddress (Uint32 *faultAddress)
CSL_IDEF_INLINE void | CSL_CGEM_getEMCFaultStatus (Uint8 *faultStatus, Uint8 *faultId)
CSL_IDEF_INLINE void | CSL_CGEM_clearEMCFault (void)
CSL_IDEF_INLINE void | CSL_CGEM_getECFGErrorStatus (Uint8 *stat, Uint8 *xid, Uint8 *err)
CSL_IDEF_INLINE void | CSL_CGEM_clearECFGError (void)
CSL_IDEF_INLINE Bool | CSL_CGEM_isL2EDCEnabled (void)
CSL_IDEF_INLINE Bool | CSL_CGEM_isL2EDCSuspended (void)
CSL_IDEF_INLINE void | CSL_CGEM_getL2EDCErrorStatus (Uint8 *derr, Uint8 *perr, Uint8 *dmaerr, Uint8 *verr, Uint8 *nerr)
CSL_IDEF_INLINE void | CSL_CGEM_getL2EDCBitPosition (Uint8 *bitPos)
CSL_IDEF_INLINE void | CSL_CGEM_clearL2EDCErrorStatus (Uint8 derr, Uint8 perr, Uint8 dmaerr, Uint8 verr)
CSL_IDEF_INLINE void | CSL_CGEM_enableL2EDC (void)
CSL_IDEF_INLINE void | CSL_CGEM_disableL2EDC (void)
CSL_IDEF_INLINE void | CSL_CGEM_suspendL2EDC (void)
CSL_IDEF_INLINE void | CSL_CGEM_getL2EDCErrorInfo (Uint32 *errAddr, Uint8 *l2way, Uint8 *ram)
CSL_IDEF_INLINE void | CSL_CGEM_getL2EDCCounters (Uint8 *correctParityCnt, Uint8 *nonCorrectParityCnt)
CSL_IDEF_INLINE void | CSL_CGEM_getMDMAErrorStatus (Uint8 *stat, Uint8 *xid, Uint8 *err)
CSL_IDEF_INLINE void | CSL_CGEM_clearMDMAError (void)
CSL_IDEF_INLINE void | CSL_CGEM_enableEDCDMCExternal (void)
CSL_IDEF_INLINE void | CSL_CGEM_disableEDCDMCExternal (void)
CSL_IDEF_INLINE void | CSL_CGEM_enableEDCPMCExternal (void)
CSL_IDEF_INLINE void | CSL_CGEM_disableEDCPMCExternal (void)
CSL_IDEF_INLINE void | CSL_CGEM_enableEDCDMCL2SRAM (void)
CSL_IDEF_INLINE void | CSL_CGEM_disableEDCDMCL2SRAM (void)
CSL_IDEF_INLINE void | CSL_CGEM_enableEDCPMCL2SRAM (void)
CSL_IDEF_INLINE void | CSL_CGEM_disableEDCPMCL2SRAM (void)
CSL_IDEF_INLINE void | CSL_CGEM_enableEDCSDMAL2SRAM (void)
CSL_IDEF_INLINE void | CSL_CGEM_disableEDCSDMAL2SRAM (void)
CSL_IDEF_INLINE void | CSL_CGEM_getPMCErrorDetectionStatus (Uint8 *dmaErr, Uint8 *perr)
CSL_IDEF_INLINE Bool | CSL_CGEM_isPMCErrorDetectionEnabled (void)
CSL_IDEF_INLINE Bool | CSL_CGEM_isPMCErrorDetectionSuspended (void)
CSL_IDEF_INLINE void | CSL_CGEM_clearPMCErrorDetectionStatus (Uint8 dmaErr, Uint8 perr)
CSL_IDEF_INLINE void | CSL_CGEM_enablePMCErrorDetection (void)
CSL_IDEF_INLINE void | CSL_CGEM_disablePMCErrorDetection (void)
CSL_IDEF_INLINE void | CSL_CGEM_suspendPMCErrorDetection (void)
CSL_IDEF_INLINE void | CSL_CGEM_getPMCErrorInfo (Uint32 *errAddress, Uint8 *errRAM)

## Function Documentation

CSL_IDEF_INLINE void CSL_CGEM_clearECFGError | ( | void |  | ) |

============================================================================
CSL_CGEM_clearECFGError

Description
This function clears the ECFG Error Status

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_ECFGERRCLR_CLR=1

Affects
CGEM_ECFGERR=0

Example

            Uint8   stat;
            Uint8   xid;
            Uint8   err;

            // Get the ECFG Error Status
            CSL_CGEM_getECFGErrorStatus (&stat, &xid, &err);
            ...
            // Clear the ECFG Error
            CSL_CGEM_clearECFGError();

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_clearEMCFault | ( | void |  | ) |

============================================================================
CSL_CGEM_clearEMCFault

Description
This function clears the EMC Fault

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_ICFGMPFCR_MPFCLR=1

Affects
CGEM_ICFGMPFSR=0

Example

            Uint8   faultStatus;
            Uint8   faultId;

            // Get the EMC Fault Status
            CSL_CGEM_getEMCFaultStatus (&faultStatus, &faultId);
            if (faultStatus != 0)
            {
                // Fault Detected
                ...
                // Clear the EMC Fault
                CSL_CGEM_clearEMCFault();
            }
            else
            {
                // No Fault
            }

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_clearL2EDCErrorStatus | ( | Uint8 | derr,
|  | Uint8 | perr,
|  | Uint8 | dmaerr,
|  | Uint8 | verr |
| ) |  |  |

============================================================================
CSL_CGEM_clearL2EDCErrorStatus

Description
This function clears the error status associated with the L2 EDC.

Arguments

            derr        - DERR field to be cleared.
            perr        - Parity Check Error field to be cleared.
            dmaerr      - DMA Error to be cleared.
            verr        - Victim Error to be cleared.

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_L2EDCMD_DCLR, CGEM_L2EDCMD_PCLR, CGEM_L2EDCMD_DMACLR,
CGEM_L2EDCMD_VCLR

Affects
CGEM_L2EDSTAT_DERR=0, CGEM_L2EDSTAT_PERR=0, CGEM_L2EDSTAT_DMAERR=0,
CGEM_L2EDSTAT_VERR=0, CGEM_L2EDSTAT_NERR=0

Example

            Uint8  derr;
            Uint8  perr;
            Uint8  dmaerr;
            Uint8  verr;
            Uint8  nerr;

            // Get the L2 EDC Error Status
            CSL_CGEM_getL2EDCErrorStatus(&derr, &perr, &dmaerr, &verr, &nerr);
            ...
            // Clear the L2 EDC Error Status
            CSL_CGEM_clearL2EDCErrorStatus(derr, perr, dmaerr, verr);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_clearMDMAError | ( | void |  | ) |

============================================================================
CSL_CGEM_clearMDMAError

Description
This function clears the MDMA Error Status

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_MDMAERRCLR_CLR=1

Affects
CGEM_MDMAERR_STAT=0, CGEM_MDMAERR_XID=0, CGEM_MDMAERR_ERR=0

Example

            Uint8   stat;
            Uint8   xid;
            Uint8   err;

            // Get the MDMA Error Status
            CSL_CGEM_getMDMAErrorStatus(&stat, &xid, &err);
            ...
            // Clear the MDMA Error Status
            CSL_CGEM_clearMDMAError();

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_clearPMCErrorDetectionStatus | ( | Uint8 | dmaErr,
|  | Uint8 | perr |
| ) |  |  |

============================================================================
CSL_CGEM_clearPMCErrorDetectionStatus

Description
This function is used to clear the PMC error detection status

Arguments

            dmaErr      - DMA Error status to be cleared
            perr        - PERR status to be cleared

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_L1PEDCMD_DMACLR, CGEM_L1PEDCMD_PCLR

Affects
CGEM_L1PEDSTAT_DMAERR=0, CGEM_L1PEDSTAT_PERR=0

Example

            Uint8 dmaErr;
            Uint8 perr

            // Get the PMC Error Detection status
            CSL_CGEM_getPMCErrorDetectionStatus(&dmaErr, &perr);
            ...
            // Clear the PMC errors.
            CSL_CGEM_clearPMCErrorDetectionStatus(dmaErr, perr);

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_disableEDCDMCExternal | ( | void |  | ) |

============================================================================
CSL_CGEM_disableEDCDMCExternal

Description
This function is used to disable the EDC on DMC reads from an external address(Hits L2 cache) if L2EDCMD is enabled.

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_L2EDCEN_DL2CEN=0

Example

            CSL_CGEM_disableEDCDMCExternal();

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_disableEDCDMCL2SRAM | ( | void |  | ) |

============================================================================
CSL_CGEM_disableEDCDMCL2SRAM

Description
This function is used to disable the EDC on DMC reads from a L2SRAM.

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_L2EDCEN_DL2SEN=0

Example

            CSL_CGEM_disableEDCDMCL2SRAM();

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_disableEDCPMCExternal | ( | void |  | ) |

============================================================================
CSL_CGEM_disableEDCPMCExternal

Description
This function is used to disable the EDC on PMC reads from an external address(Hits L2 cache) if L2EDCMD is enabled.

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_L2EDCEN_PL2CEN=0

Example

            CSL_CGEM_disableEDCPMCExternal();

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_disableEDCPMCL2SRAM | ( | void |  | ) |

============================================================================
CSL_CGEM_disableEDCPMCL2SRAM

Description
This function is used to disable the EDC on PMC reads from a L2SRAM.

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_L2EDCEN_PL2SEN=0

Example

            CSL_CGEM_disableEDCPMCL2SRAM();

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_disableEDCSDMAL2SRAM | ( | void |  | ) |

============================================================================
CSL_CGEM_disableEDCSDMAL2SRAM

Description
This function is used to disable the EDC on SDMA reads from L2SRAM.

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_L2EDCEN_SDMAEN=0

Example

            CSL_CGEM_disableEDCSDMAL2SRAM();

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_disableL2EDC | ( | void |  | ) |

============================================================================
CSL_CGEM_disableL2EDC

Description
This function disables the L2 EDC

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_L2EDCMD_DIS=1

Affects
CGEM_L2EDSTAT_DIS=1

Example

            // Disable L2 EDC
            CSL_CGEM_disableL2EDC();

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_disablePMCErrorDetection | ( | void |  | ) |

============================================================================
CSL_CGEM_disablePMCErrorDetection

Description
This function is used to disable the PMC error detection status

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_L1PEDCMD_DIS=1

Affects
CGEM_L1PEDSTAT_DIS=1

Example

            // Disable the PMC Error Detection
            CSL_CGEM_disablePMCErrorDetection();

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_enableEDCDMCExternal | ( | void |  | ) |

============================================================================
CSL_CGEM_enableEDCDMCExternal

Description
This function is used to enable the EDC on DMC reads from an external address(Hits L2 cache) if L2EDCMD is enabled.

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_L2EDCEN_DL2CEN=1

Example

            CSL_CGEM_enableEDCDMCExternal();

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_enableEDCDMCL2SRAM | ( | void |  | ) |

============================================================================
CSL_CGEM_enableEDCDMCL2SRAM

Description
This function is used to enable the EDC on DMC reads from a L2SRAM.

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_L2EDCEN_DL2SEN=1

Example

            CSL_CGEM_enableEDCDMCL2SRAM();

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_enableEDCPMCExternal | ( | void |  | ) |

============================================================================
CSL_CGEM_enableEDCPMCExternal

Description
This function is used to enable the EDC on PMC reads from an external address(Hits L2 cache) if L2EDCMD is enabled.

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_L2EDCEN_PL2CEN=1

Example

            CSL_CGEM_enableEDCPMCExternal();

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_enableEDCPMCL2SRAM | ( | void |  | ) |

============================================================================
CSL_CGEM_enableEDCPMCL2SRAM

Description
This function is used to enable the EDC on PMC reads from a L2SRAM.

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_L2EDCEN_PL2SEN=1

Example

            CSL_CGEM_enableEDCPMCL2SRAM();

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_enableEDCSDMAL2SRAM | ( | void |  | ) |

============================================================================
CSL_CGEM_enableEDCSDMAL2SRAM

Description
This function is used to enable the EDC on SDMA reads from L2SRAM.

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_L2EDCEN_SDMAEN=1

Example

            CSL_CGEM_enableEDCSDMAL2SRAM();

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_enableL2EDC | ( | void |  | ) |

============================================================================
CSL_CGEM_enableL2EDC

Description
This function enables the L2 EDC

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_L2EDCMD_EN=1

Affects
CGEM_L2EDSTAT_EN=1

Example

            // Enable L2 EDC
            CSL_CGEM_enableL2EDC();

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_enablePMCErrorDetection | ( | void |  | ) |

============================================================================
CSL_CGEM_enablePMCErrorDetection

Description
This function is used to enable the PMC error detection status

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_L1PEDCMD_EN=1

Affects
CGEM_L1PEDSTAT_EN=1

Example

            // Enable the PMC Error Detection
            CSL_CGEM_enablePMCErrorDetection();

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_getECFGErrorStatus | ( | Uint8 * | stat,
|  | Uint8 * | xid,
|  | Uint8 * | err |
| ) |  |  |

============================================================================
CSL_CGEM_getECFGErrorStatus

Description
This function gets the ECFG Error Status

Arguments

            stat    -   Transaction Status populated by this API
            xid     -   Transaction ID populated by this API
            err     -   Error Detected populated by this API

Return Value
None

Pre Condition
None

Post Condition
None

Reads
CGEM_ECFGERR_STAT, CGEM_ECFGERR_XID, CGEM_ECFGERR_ERR

Example

            Uint8   stat;
            Uint8   xid;
            Uint8   err;

            // Get the ECFG Error Status
            CSL_CGEM_getECFGErrorStatus (&stat, &xid, &err);

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_getECFGPriorityLevel | ( | Uint8 * | priorityLevel | ) |

============================================================================
CSL_CGEM_getECFGPriorityLevel

Description
This function gets the UMC priority level of MDMA requests.

Arguments

            priorityLevel   - Priority Level populated by this API

Return Value
None

Pre Condition
None

Post Condition
None

Reads
CGEM_ECFGARBE_PRI

Example

            Uint8   priorityLevel;

            CSL_CGEM_getECFGPriorityLevel (&priorityLevel);

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_getEMCFaultAddress | ( | Uint32 * | faultAddress | ) |

============================================================================
CSL_CGEM_getEMCFaultAddress

Description
This function gets the EMC Fault address

Arguments

            faultAddress   - Fault Address populated by this API

Return Value
None

Pre Condition
None

Post Condition
None

Reads
CGEM_ICFGMPFAR

Example

            Uint32   faultAddress;

            CSL_CGEM_getEMCFaultAddress (&faultAddress);

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_getEMCFaultStatus | ( | Uint8 * | faultStatus,
|  | Uint8 * | faultId |
| ) |  |  |

============================================================================
CSL_CGEM_getEMCFaultStatus

Description
This function gets the EMC Fault status

Arguments

            faultStatus   - Fault Status populated by this API
            faultId       - Fault Identifier populated by this API

Return Value
None

Pre Condition
None

Post Condition
None

Reads
CGEM_ICFGMPFSR_FID

Example

            Uint8   faultStatus;
            Uint8   faultId;

            // Get the EMC Fault Status
            CSL_CGEM_getEMCFaultStatus (&faultStatus, &faultId);
            if (faultStatus != 0)
            {
                // Fault Detected
            }
            else
            {
                // No Fault
            }

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_getL2EDCBitPosition | ( | Uint8 * | bitPos | ) |

============================================================================
CSL_CGEM_getL2EDCBitPosition

Description
This function gets the bit position on which 128bit half of the 256bit word caused the error.

Arguments

            bitPos       - BitPos populated by this API

Return Value
None

Pre Condition
None

Post Condition
None

Reads
CGEM_L2EDSTAT_BITPOS

Example

            Uint8  bitPos;

            // Get the L2 EDC Bit Position
            CSL_CGEM_getL2EDCBitPosition(&bitPos);

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_getL2EDCCounters | ( | Uint8 * | correctParityCnt,
|  | Uint8 * | nonCorrectParityCnt |
| ) |  |  |

============================================================================
CSL_CGEM_getL2EDCCounters

Description
This function gets the L2 EDC Error event counters

Arguments

            correctParityCnt    -   Correctable Parity Error Counters
            nonCorrectParityCnt -   Non-Correctable Parity Error Counters

Return Value
None

Pre Condition
None

Post Condition
None

Reads
CGEM_L2EDADDR_ADDR,CGEM_L2EDADDR_WAY,CGEM_L2EDADDR_RAM

Example

            Uint8  correctParityCnt;
            Uint8  nonCorrectParityCnt;

            // Get the L2 EDC Error event counters.
            CSL_CGEM_getL2EDCCounters(&correctParityCnt, &nonCorrectParityCnt);

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_getL2EDCErrorInfo | ( | Uint32 * | errAddr,
|  | Uint8 * | l2way,
|  | Uint8 * | ram |
| ) |  |  |

============================================================================
CSL_CGEM_getL2EDCErrorInfo

Description
This function gets the L2 EDC Error Information

Arguments

            errAddr     - Error Address populated by this API
            l2way       - The way in the cache which caused the error.
            ram         - Flag which indicates if the error was detected in CACHE or RAM

Return Value
None

Pre Condition
None

Post Condition
None

Reads
CGEM_L2EDADDR_ADDR,CGEM_L2EDADDR_WAY,CGEM_L2EDADDR_RAM

Example

            Uint32 errAddr;
            Uint8  l2way;
            Uint8  ram;

            // Get the L2 EDC Error Information.
            CSL_CGEM_getL2EDCErrorInfo(&errAddr, &l2way, &ram);

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_getL2EDCErrorStatus | ( | Uint8 * | derr,
|  | Uint8 * | perr,
|  | Uint8 * | dmaerr,
|  | Uint8 * | verr,
|  | Uint8 * | nerr |
| ) |  |  |

============================================================================
CSL_CGEM_getL2EDCErrorStatus

Description
This function gets the error status associated with the L2 EDC.

Arguments

            derr        - DERR field populated by this API
            perr        - Parity Check error field populated by this API
            dmaerr      - DMA Error populated by this API
            verr        - Victim Error field populated by this API
            nerr        - NERR field populated by this API

Return Value
None

Pre Condition
None

Post Condition
None

Reads
CGEM_L2EDSTAT_DERR, CGEM_L2EDSTAT_PERR, CGEM_L2EDSTAT_DMAERR,
CGEM_L2EDSTAT_VERR, CGEM_L2EDSTAT_NERR

Example

            Uint8  derr;
            Uint8  perr;
            Uint8  dmaerr;
            Uint8  verr;
            Uint8  nerr;

            // Get the L2 EDC Error Status
            CSL_CGEM_getL2EDCErrorStatus(&derr, &perr, &dmaerr, &verr, &nerr);

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_getMDMAErrorStatus | ( | Uint8 * | stat,
|  | Uint8 * | xid,
|  | Uint8 * | err |
| ) |  |  |

============================================================================
CSL_CGEM_getMDMAErrorStatus

Description
This function gets the MDMA Error Status

Arguments

            stat    -   Transaction Status populated by this API
            xid     -   Transaction ID populated by this API
            err     -   Error Detected populated by this API

Return Value
None

Pre Condition
None

Post Condition
None

Reads
CGEM_MDMAERR_STAT, CGEM_MDMAERR_XID, CGEM_MDMAERR_ERR

Example

            Uint8   stat;
            Uint8   xid;
            Uint8   err;

            // Get the MDMA Error Status
            CSL_CGEM_getMDMAErrorStatus(&stat, &xid, &err);

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_getPMCErrorDetectionStatus | ( | Uint8 * | dmaErr,
|  | Uint8 * | perr |
| ) |  |  |

============================================================================
CSL_CGEM_getPMCErrorDetectionStatus

Description
This function is used to get the PMC error detection status

Arguments

            dmaErr      - DMA Error Status populated by this API
            perr        - PERR Status populated by this API

Return Value
None

Pre Condition
None

Post Condition
None

Reads
CGEM_L1PEDSTAT_DMAERR, CGEM_L1PEDSTAT_PERR

Example

            Uint8 dmaErr;
            Uint8 perr

            CSL_CGEM_getPMCErrorDetectionStatus(&dmaErr, &perr);

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_getPMCErrorInfo | ( | Uint32 * | errAddress,
|  | Uint8 * | errRAM |
| ) |  |  |

============================================================================
CSL_CGEM_getPMCErrorInfo

Description
This function is used to get the PMC Error Detection information

Arguments

            errAddress  -   Error Address which is populated by this API
            errRAM      -   Error RAM status which is populated by this API

Return Value
None

Pre Condition
None

Post Condition
None

Reads
CGEM_L1PEDADDR_ADDR, CGEM_L1PEDADDR_RAM

Example

            Uint32  errAddress;
            Uint8   errRAM;

            // Get the PMC Error Detection Information
            CSL_CGEM_getPMCErrorInfo(&errAddress, &errRAM);

=============================================================================

CSL_IDEF_INLINE Bool CSL_CGEM_isL2EDCEnabled | ( | void |  | ) |

============================================================================
CSL_CGEM_isL2EDCEnabled

Description
This function is used to check if the L2 EDC is enabled or not?

Arguments

            None

Return Value
TRUE - L2 EDC is enabled.
FALSE - L2 EDC is disabled.

Pre Condition
None

Post Condition
None

Reads
CGEM_L2EDSTAT_EN

Example

            // Check if L2-EDC is enabled or not?
            if (CSL_CGEM_isL2EDCEnabled() == TRUE)
            {
                // L2 EDC is enabled
            }
            else
            {
                // L2 EDC is disabled.
            }

=============================================================================

CSL_IDEF_INLINE Bool CSL_CGEM_isL2EDCSuspended | ( | void |  | ) |

============================================================================
CSL_CGEM_isL2EDCSuspended

Description
This function is used to check if the L2 EDC is suspended or not?

Arguments

            None

Return Value
TRUE - L2 EDC is suspended.
FALSE - L2 EDC is NOT suspended.

Pre Condition
None

Post Condition
None

Reads
CGEM_L2EDSTAT_SUSP

Example

            // Check if L2-EDC is suspended or not?
            if (CSL_CGEM_isL2EDCSuspended() == TRUE)
            {
                // L2 EDC is suspended
            }
            else
            {
                // L2 EDC is not suspended.
            }

=============================================================================

CSL_IDEF_INLINE Bool CSL_CGEM_isPMCErrorDetectionEnabled | ( | void |  | ) |

============================================================================
CSL_CGEM_isPMCErrorDetectionEnabled

Description
This function is used to check if the PMC Error Detection is enabled or not?

Arguments

            None

Return Value
TRUE - PMC Error Detection is enabled
FALSE - PMC Error Detection is disabled

Pre Condition
None

Post Condition
None

Reads
CGEM_L1PEDSTAT_EN

Example

            if (CSL_CGEM_isPMCErrorDetectionEnabled() == TRUE)
            {
                // PMC Error Detection is enabled
            }
            else
            {
                // PMC Error Detection is disabled
            }

=============================================================================

CSL_IDEF_INLINE Bool CSL_CGEM_isPMCErrorDetectionSuspended | ( | void |  | ) |

============================================================================
CSL_CGEM_isPMCErrorDetectionSuspended

Description
This function is used to check if the PMC Error Detection is suspended or not?

Arguments

            None

Return Value
TRUE - PMC Error Detection is suspended
FALSE - PMC Error Detection is not suspended

Pre Condition
None

Post Condition
None

Reads
CGEM_L1PEDSTAT_SUSP

Example

            if (CSL_CGEM_isPMCErrorDetectionSuspended() == TRUE)
            {
                // PMC Error Detection is suspended
            }
            else
            {
                // PMC Error Detection is not suspended
            }

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_setECFGPriorityLevel | ( | Uint8 | priorityLevel | ) |

============================================================================
CSL_CGEM_setECFGPriorityLevel

Description
This function sets the UMC priority level of MDMA requests.

Arguments

            priorityLevel   - Priority Level to be configured

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_ECFGARBE_PRI

Example

            CSL_CGEM_setECFGPriorityLevel (1);

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_suspendL2EDC | ( | void |  | ) |

============================================================================
CSL_CGEM_suspendL2EDC

Description
This function suspends the L2 EDC

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_L2EDCMD_SUSP=1

Affects
CGEM_L2EDSTAT_SUSP=1

Example

            // Suspend L2 EDC
            CSL_CGEM_suspendL2EDC();

=============================================================================

CSL_IDEF_INLINE void CSL_CGEM_suspendPMCErrorDetection | ( | void |  | ) |

============================================================================
CSL_CGEM_suspendPMCErrorDetection

Description
This function is used to suspend the PMC error detection status

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
CGEM_L1PEDCMD_SUSP=1

Affects
CGEM_L1PEDSTAT_SUSP=1

Example

            // Suspend the PMC Error Detection
            CSL_CGEM_suspendPMCErrorDetection();

=============================================================================

Copyright 2012, Texas Instruments Incorporated